org.apache.felix.framework.wiring

## Class BundleWireImpl

- java.lang.Object
- - org.apache.felix.framework.wiring.BundleWireImpl

All Implemented Interfaces:
  BundleWire, Wire

    public class BundleWireImpl
    extends Object
    implements BundleWire

### Constructor Summary

Constructors
Constructor and Description
`BundleWireImpl(BundleRevision requirer, BundleRequirement req, BundleRevision provider, BundleCapability cap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleCapability` `getCapability()` Returns the `BundleCapability` for this wire.
`BundleRevision` `getProvider()` Returns the resource providing the `capability`.
`BundleWiring` `getProviderWiring()` Returns the bundle wiring `providing` the `capability`.
`BundleRequirement` `getRequirement()` Return the `BundleRequirement` for this wire.
`BundleRevision` `getRequirer()` Returns the resource who `requires` the `capability`.
`BundleWiring` `getRequirerWiring()` Returns the bundle wiring who `requires` the `capability`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.osgi.resource.Wire

`equals, hashCode`

### Constructor Detail

#### BundleWireImpl

    public BundleWireImpl(BundleRevision requirer,
                          BundleRequirement req,
                          BundleRevision provider,
                          BundleCapability cap)

### Method Detail

#### getRequirer

    public BundleRevision getRequirer()

Description copied from interface: `BundleWire`
Returns the resource who `requires` the `capability`.

The returned resource may differ from the resource referenced by the `requirement`.

This method returns the same value as `BundleWire.getRequirerWiring()`. `getRevision()`.

Specified by:
  `getRequirer` in interface `BundleWire`
Specified by:
  `getRequirer` in interface `Wire`
Returns:
  The resource who requires the capability.

#### getRequirerWiring

    public BundleWiring getRequirerWiring()

Description copied from interface: `BundleWire`
Returns the bundle wiring who `requires` the `capability`.

The bundle revision referenced by the returned bundle wiring may differ from the bundle revision referenced by the `requirement`.

Specified by:
  `getRequirerWiring` in interface `BundleWire`
Returns:
  The bundle wiring whose requirement is wired to the capability. If the bundle wiring requiring the capability is not `in use`, `null` will be returned.

#### getRequirement

    public BundleRequirement getRequirement()

Description copied from interface: `BundleWire`
Return the `BundleRequirement` for this wire.

Specified by:
  `getRequirement` in interface `BundleWire`
Specified by:
  `getRequirement` in interface `Wire`
Returns:
  The `BundleRequirement` for this wire.

#### getProvider

    public BundleRevision getProvider()

Description copied from interface: `BundleWire`
Returns the resource providing the `capability`.

The returned resource may differ from the resource referenced by the `capability`.

This method returns the same value as `BundleWire.getProviderWiring()`. `getRevision()`.

Specified by:
  `getProvider` in interface `BundleWire`
Specified by:
  `getProvider` in interface `Wire`
Returns:
  The resource providing the capability.

#### getProviderWiring

    public BundleWiring getProviderWiring()

Description copied from interface: `BundleWire`
Returns the bundle wiring `providing` the `capability`.

The bundle revision referenced by the returned bundle wiring may differ from the bundle revision referenced by the `capability`.

Specified by:
  `getProviderWiring` in interface `BundleWire`
Returns:
  The bundle wiring providing the capability. If the bundle wiring providing the capability is not `in use`, `null` will be returned.

#### getCapability

    public BundleCapability getCapability()

Description copied from interface: `BundleWire`
Returns the `BundleCapability` for this wire.

Specified by:
  `getCapability` in interface `BundleWire`
Specified by:
  `getCapability` in interface `Wire`
Returns:
  The `BundleCapability` for this wire.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`